Subject: bug#50344: C-x v keybinding for vc-print-branch-log

From: Dmitry Gutov <[email-masked]>
Date: Thu, 7 Oct 2021 14:12:06 +0300

On 07.10.2021 11:28, Eli Zaretskii wrote:
>> From: Juri Linkov <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Thu, 07 Oct 2021 10:58:10 +0300
>>
>>>> It will take more time to create branch commands due to many problems.
>>>> So the best what we could do now is to rebind 'vc-switch-backend'
>>>> from 'C-x v b' to 'C-x v B' in emacs-28 to give time to adapt
>>>> to  new keybinding.
>>>
>>> Please don't change such old key bindings, not unless we are
>>> deprecating the command (which we aren't, AFAIU).
>>
>> Sorry, I see no connection: why changing key bindings requires
>> deprecating the command?
> 
> Because people will expect the old binding to work as long as the
> command is useful.

They shouldn't: we have a lot of commands without dedicated bindings.

This command will retain some marginal utility, for some users out there 
(though I don't know who or why), so removing it doesn't make sense.

But its utility is incommeasurable with the binding it's taking up.

Let's announce in Emacs 28's NEWS that we intend to remove (or take 
away) the binding 'C-x v b'. Just like we did with the TAB binding in 
*xref* buffers.

>>> It was then, but it can be used today with other backends.
>>
>> What backends do you switch with 'C-x v b' today?
> 
> You mean, I personally?  Why is that relevant?  If you want to say
> that no one uses this command anymore, then that points to deprecating
> the command, and when it's obsolete for long enough time (at least one
> major release, IMO), we can remove its binding.

"No one" is a very strong criterion.

What if 2 people total, out of all users, were using this command?

Would you still deprecate it, with intent to remove? Or would you still 
keep the binding?